package com.yihu.hos.services;

import com.yihu.hos.ESBApplication;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.SpringApplicationConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

/**
 * @created Airhead 2016/8/4.
 */
@RunWith(SpringJUnit4ClassRunner.class)
@SpringApplicationConfiguration(classes = ESBApplication.class)
public class ServiceFlowEventServiceTest {
    @Autowired
    ServiceFlowEventService serviceFlowEventService;

    @Test
    public void serviceFlowAdded() throws Exception {
        serviceFlowEventService.serviceFlowAdded(null);
    }

    @Test
    public void serviceFlowModifiedAdd() throws Exception {
        serviceFlowEventService.serviceFlowModifiedAdd(null);
    }

    @Test
    public void serviceFlowDelete() throws Exception {
        serviceFlowEventService.serviceFlowDelete(null);
    }

    @Test
    public void serviceFlowModifiedReduce() throws Exception {
        serviceFlowEventService.serviceFlowModifiedReduce(null);
    }

    @Test
    public void serviceFlowStopped() throws Exception {
        serviceFlowEventService.serviceFlowStopped(null);
    }
}
